Index: trunk/BNC/src/pppMain.cpp
===================================================================
--- trunk/BNC/src/pppMain.cpp	(revision 9302)
+++ trunk/BNC/src/pppMain.cpp	(revision 9386)
@@ -175,7 +175,7 @@
     opt->_blqFileName.assign(settings.value("PPP/blqFile").toString().toStdString());
 #endif
-    opt->_sigmaC1      = settings.value("PPP/sigmaC1").toDouble(); if (opt->_sigmaC1 <= 0.0)  opt->_sigmaC1  =  2.0;
+    opt->_sigmaC1      = settings.value("PPP/sigmaC1").toDouble(); if (opt->_sigmaC1 <= 0.0)  opt->_sigmaC1  = 2.00;
     opt->_sigmaL1      = settings.value("PPP/sigmaL1").toDouble(); if (opt->_sigmaL1 <= 0.0)  opt->_sigmaL1  = 0.01;
-    opt->_sigmaGIM     = settings.value("PPP/sigmaGIM").toDouble();if (opt->_sigmaGIM <= 0.0) opt->_sigmaGIM = 0.05;
+    opt->_sigmaGIM     = settings.value("PPP/sigmaGIM").toDouble();if (opt->_sigmaGIM <= 0.0) opt->_sigmaGIM = 4.00;
     opt->_sigmaTz0     = settings.value("PPP/sigmaTz0").toDouble();if (opt->_sigmaTz0 <= 0.0) opt->_sigmaTz0 = 0.10;
     opt->_corrWaitTime = settings.value("PPP/corrWaitTime").toDouble();
@@ -189,15 +189,11 @@
 #ifdef USE_PPP
     // Pseudo Observations
-    if      (settings.value("PPP/pseudoObs").toString() == "Ionosphere") {
-      opt->_pseudoObsIono  = true;
-      opt->_pseudoObsTropo = false;
+    if      (settings.value("PPP/pseudoObs").toString() == "Troposphere") {
+      opt->_pseudoObsIono  = false;
+      opt->_pseudoObsTropo = true;
     }
     else if (settings.value("PPP/pseudoObs").toString() == "Iono+Tropo") {
       opt->_pseudoObsIono  = true;
       opt->_pseudoObsTropo = true;
-    }
-    else if (settings.value("PPP/pseudoObs").toString() == "no") {
-      opt->_pseudoObsIono  = false;
-      opt->_pseudoObsTropo = false;
     }
     // Observation Model
@@ -228,35 +224,5 @@
 #endif
     // GPS
-    if (settings.value("PPP/lcGPS").toString() == "Pi") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsGPS.push_back(t_lc::cIF);
-      }
-      else {
-        opt->_LCsGPS.push_back(t_lc::c1);
-        opt->_LCsGPS.push_back(t_lc::c2);
-        if (opt->_pseudoObsIono) {
-          opt->_LCsGPS.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcGPS").toString() == "Li") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsGPS.push_back(t_lc::lIF);
-      }
-      else {
-        opt->_LCsGPS.push_back(t_lc::l1);
-        opt->_LCsGPS.push_back(t_lc::l2);
-        if (opt->_pseudoObsIono) {
-          opt->_LCsGPS.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcGPS").toString() == "Pi&Li") {
+    if (settings.value("PPP/lcGPS").toString() == "Pi&Li") {
       if (opt->_obsModelType == t_pppOptions::IF) {
         opt->_LCsGPS.push_back(t_lc::cIF);
@@ -277,35 +243,5 @@
     }
     // GLONASS
-    if (settings.value("PPP/lcGLONASS").toString() == "Pi") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsGLONASS.push_back(t_lc::cIF);
-      }
-      else {
-        opt->_LCsGLONASS.push_back(t_lc::c1);
-        opt->_LCsGLONASS.push_back(t_lc::c2);
-        if (opt->_pseudoObsIono) {
-          opt->_LCsGLONASS.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcGLONASS").toString() == "Li") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsGLONASS.push_back(t_lc::lIF);
-      }
-      else {
-        opt->_LCsGLONASS.push_back(t_lc::l1);
-        opt->_LCsGLONASS.push_back(t_lc::l2);
-        if (opt->_obsModelType == t_pppOptions::IF) {
-          opt->_LCsGLONASS.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcGLONASS").toString() == "Pi&Li") {
+    if (settings.value("PPP/lcGLONASS").toString() == "Pi&Li") {
       if (opt->_obsModelType == t_pppOptions::IF) {
         opt->_LCsGLONASS.push_back(t_lc::cIF);
@@ -321,40 +257,10 @@
         }
         if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
+          opt->_LCsGLONASS.push_back(t_lc::Tz0);
         }
       }
     }
     // Galileo
-    if (settings.value("PPP/lcGalileo").toString() == "Pi") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsGalileo.push_back(t_lc::cIF);
-      }
-      else {
-        opt->_LCsGalileo.push_back(t_lc::c1);
-        opt->_LCsGalileo.push_back(t_lc::c2);
-        if (opt->_pseudoObsIono) {
-          opt->_LCsGalileo.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcGalileo").toString() == "Li") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsGalileo.push_back(t_lc::lIF);
-      }
-      else {
-        opt->_LCsGalileo.push_back(t_lc::l1);
-        opt->_LCsGalileo.push_back(t_lc::l2);
-        if (opt->_pseudoObsIono) {
-          opt->_LCsGalileo.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcGalileo").toString() == "Pi&Li") {
+    if (settings.value("PPP/lcGalileo").toString() == "Pi&Li") {
       if (opt->_obsModelType == t_pppOptions::IF) {
         opt->_LCsGalileo.push_back(t_lc::cIF);
@@ -370,40 +276,10 @@
         }
         if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
+          opt->_LCsGalileo.push_back(t_lc::Tz0);
         }
       }
     }
     // BDS
-    if (settings.value("PPP/lcBDS").toString() == "Pi") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsBDS.push_back(t_lc::cIF);
-      }
-      else {
-        opt->_LCsBDS.push_back(t_lc::c1);
-        opt->_LCsBDS.push_back(t_lc::c2);
-        if (opt->_pseudoObsIono) {
-          opt->_LCsBDS.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcBDS").toString() == "Li") {
-      if (opt->_obsModelType == t_pppOptions::IF) {
-        opt->_LCsBDS.push_back(t_lc::lIF);
-      }
-      else {
-        opt->_LCsBDS.push_back(t_lc::l1);
-        opt->_LCsBDS.push_back(t_lc::l2);
-        if (opt->_pseudoObsIono) {
-          opt->_LCsBDS.push_back(t_lc::GIM);
-        }
-        if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
-        }
-      }
-    }
-    else if (settings.value("PPP/lcBDS").toString() == "Pi&Li") {
+    if (settings.value("PPP/lcBDS").toString() == "Pi&Li") {
       if (opt->_obsModelType == t_pppOptions::IF) {
         opt->_LCsBDS.push_back(t_lc::cIF);
@@ -419,5 +295,5 @@
         }
         if (opt->_pseudoObsTropo) {
-          opt->_LCsGPS.push_back(t_lc::Tz0);
+          opt->_LCsBDS.push_back(t_lc::Tz0);
         }
       }
@@ -446,7 +322,7 @@
     }
 
-    opt->_minObs      = settings.value("PPP/minObs").toInt(); if (opt->_minObs < 4) opt->_minObs = 4;
+    opt->_minObs      = settings.value("PPP/minObs").toInt(); if (opt->_minObs < 5) opt->_minObs = 5;
     opt->_minEle      = settings.value("PPP/minEle").toDouble() * M_PI / 180.0;
-    opt->_maxResC1    = settings.value("PPP/maxResC1").toDouble(); if (opt->_maxResC1 <= 0.0) opt->_maxResC1 = 3.0;
+    opt->_maxResC1    = settings.value("PPP/maxResC1").toDouble(); if (opt->_maxResC1 <= 0.0) opt->_maxResC1 = 3.00;
     opt->_maxResL1    = settings.value("PPP/maxResL1").toDouble(); if (opt->_maxResL1 <= 0.0) opt->_maxResL1 = 0.03;
     opt->_eleWgtCode  = (settings.value("PPP/eleWgtCode").toInt() != 0);
@@ -459,10 +335,9 @@
     opt->_aprSigIon       = 1000.0;
     opt->_aprSigClk       = 1000.0;
+    opt->_aprSigOGR       = 1000.0;
+    opt->_aprSigOGE       = 1000.0;
+    opt->_aprSigOGC       = 1000.0;
     opt->_aprSigCodeBias  = 1000.0;
     opt->_aprSigPhaseBias = 1000.0;
-    // TODO: Find realistic values!!!!!!
-    opt->_noiseIon        =  5.00; // Todo: add all to table
-    opt->_noiseCodeBias   =  5.00;
-    opt->_noisePhaseBias  =  5.00;
 
     _options << opt;
